Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: C++ Plugins

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10931
Description

| believe that there is an error in the archives plugin.cpp and plugin.h in the src/plugins/plugin_template directory. That error makes the

menu QGis act in odd ways.

The problem is that the source code doesn't use the interface to create the toolbar.

Steps to reproduce the error:

1 - create a plugin in C++ with the python script (plugin_builder.py);
2 - compile the plugin;

3 - load the plugin in QGis;

4 - close QGis;

5 - run QGiis -> The application menu acts abnormally.

Thanks. Fernando.

History

#1 - 2007-12-16 07:08 AM - Magnus Homann
- Status changed from Open to In Progress

#2 - 2007-12-16 07:09 AM - Maghus Homann

This applies also to eVis, thanks for finding it!

| have submitted ticket to eVis

#3 - 2007-12-16 02:12 PM - Magnus Homann
- Resolution set to fixed
- Status changed from In Progress to Closed

Fixed in commit:ece9d9b5 (SVN r7797), together with some translation fixes.

#4 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted

Files

patch.tar.gz 764 Bytes
